# Capture video

A decision block that starts a Camera app and lets the user record a video.

The fiber will pause until the Camera app finish recording or the timeout expired.

If you want to record a video without user interaction, use the Video record block instead.

The destination path can be set to an existing or new file, or to a directory where the file will be placed with an automatic name. The path to the actual video image file saved is assigned to the video file variable.

## Input arguments

- Video quality — quality of recording, currently only either above or below 50% supported, default is decided by Camera app.
- Maximum duration — maximum duration of recording, in seconds, default is decided by Camera app.
- Maximum file size — maximum file size of recording, in bytes, default is decided by Camera app.
- Destination path — file or directory path where the video file will be saved, default is a MP4 file in the “DCIM” directory.
- Package — package name of the Camera app to use, default is system preferred Camera app.
- Timeout — time until the notification/dialog is automatically canceled, may be inaccurate as it’s affected power save features such as “doze”, default is no timeout.
- Notification channel — UUID of notification channel used for shown notification, default is the flow default or Flow.
- Show window — whether to show the dialog window directly without having to tap the notification. Requires the “appear atop of other apps or parts of the screen” privilege on Android 10+.

## Output variables

- Video file — variable to assign the path to the video file.